package com.sundot.airport.exam.logic.manage.model.params;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <b>功能名：</b>TestPaperUpdCatParam<br>
 * <b>说明：</b> 试卷修改分类请求参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-22 liangxiao
 */
public class TestPaperUpdCatParam {

    /**
     * 业务主键
     * - 可以支持批量操作
     */
    @NotEmpty(message = "业务主键不能为空")
    private List<String> tpIds;

    /**
     * 分类类型id
     */
    @NotNull(message = "分类业务主键不能为Null")
    private String tpcId;

    @Override
    public String toString() {
        return "TestPaperUpdCatParam{" +
                "tpIds=" + tpIds +
                ", tpcId='" + tpcId + '\'' +
                '}';
    }

    public List<String> getTpIds() {
        return tpIds;
    }

    public void setTpIds(List<String> tpIds) {
        this.tpIds = tpIds;
    }

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }
}
